#specfile originally created for Fedora, modified for Moblin Linux
Name:		bootchart 
Version:	0.9
Release:	24.1.moblin2
Summary:	Boot Process Performance Visualization
License:	GPLv3+
URL:		http://www.bootchart.org/
Source0:	bootchartd.c
Source1:	bootgraph.pl

Group:		Applications/System
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# we call into pybootchartgui to make the png
Requires:	pybootchartgui

Requires:	acct
Requires:	pybootchartgui
%description
A tool for performance analysis and visualization of the GNU/Linux boot
process. Resource utilization and process information are collected during
the boot process and are later rendered in a PNG, SVG or EPS encoded chart.

%prep

%build
cp %{SOURCE0} .
gcc -Wall -Os -s -o bootchartd bootchartd.c
strip bootchartd

%install
rm -rf $RPM_BUILD_ROOT

install -p -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/bootgraph.pl
install -p -D -m 755 bootchartd $RPM_BUILD_ROOT/sbin/bootchartd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(0755,root,root) /sbin/bootchartd
/usr/bin/bootgraph.pl

%changelog
* Fri Jun 26 2009 Auke Kok <auke-jan.h.kok@intel.com> 0.9
- use proper date format for PNG filename
- make batch generation not much up the console
- eog doesn't swallow files with ":"
* Fri Jun 19 2009 Arjan van de Ven <arjan@linux.intel.com> 0.9
- use the date as part of the PNG filename
* Thu Jun 18 2009 Auke Kok <auke-jan.h.kok@intel.com> 0.9
- Log to buffers in memory instead of on disk
- fix reading wrong /proc fd (before /proc is mounted)
- removed unused -t (tmpdir) option (obsoleted)
- Adding pybootchartgui as `Requires`
* Wed Jun 17 2009 Arjan van de Ven <arjan@linux.intel.com> 0.9
- make the C version work as init=/sbin/bootchartd
* Tue Jun 16 2009 Auke Kok <auke-jan.h.kok@intel.com> 0.9
- move to ubuntu-based C implementation logger
- extended code to create tarball and png files when done
- added getopt for configuration stuff
* Fri Jun 12 2009 Auke Kok <auke-jan.h.kok@intel.com> 0.9
- Also remove script install line
- Fix patch issue, add %%doc parts and other rpm attributes
* Thu Jun 11 2009 Auke Kok <auke-jan.h.kok@intel.com> 0.9
- remove bootchart script: will use pybootchartgui for that
- set sample interval to 0.1s
- remove 'bootchart not running' lines from output files
* Sat Apr 11 2009 Arjan van de Ven <arjan@linux.intel.com> 0.9
- add bootgraph.pl
* Fri Mar 13 2009 Arjan van de Ven <arjan@linucx.intel.com> 0.9
- fix bug 1213 (acct is making the java processing fail)
* Tue Mar  3 2009 Austin Zhang <austin.zhang@intel.com> 0.9
- After gdm-binary was added, it will alwasys run in backgroud.
  But bootchartd will flush log and exit if it find gdm-binary
  didn't exit. That will stop the booting process monitor even
  though you had 'sleep x' in rc.sysinit. This patch: bootchart-
  longer-monitor.patch fixed this.
* Sat Feb 21 2009 Arjan van de Ven <arjan@linux.intel.com> 0.9
- use acct by default
* Tue Aug  5 2008 Arjan van de Ven <arjan@linux.intel.com> 0.9-10
- remove the java display app and leave only the collection client
* Wed Mar 19 2008 Warren Togami <wtogami@redhat.com> - 0.9-9
- Make bootchart work with readonly root
- Stop data collection when ldm process appears
- Make install/remove work in a chroot without grub.conf
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9-8
- Autorebuild for GCC 4.3
* Tue Jan 22 2008 Adam Jackson <ajax@redhat.com> 0.9-7
- Only munge the grub config for the currently-running kernel; otherwise,
  if you dual-boot between multiple Linuxes, installing bootchart on one
  will break boot of the other.  Note that if you have multiple roots
  running the same kernel, this will still break.
* Mon Oct 29 2007 Adam Jackson <ajax@redhat.com> 0.9-6
- Don't remove bootchart from grub.conf on upgrade. (#349101)
* Mon Aug 27 2007 Adam Jackson <ajax@redhat.com> 0.9-5
- Additional minor spec cleanups from review bug (#219889)
* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> 0.9-4
- Fold the subpackages together, not really worth splitting.
- Add gcj pre-compilation.
* Thu Aug 16 2007 Adam Jackson <ajax@redhat.com> 0.9-3
- Fix license.
- Change logger group to System Environment/Base.
- install -p.
- Change buildroot to the new dogma.
* Wed Aug 15 2007 Adam Jackson <ajax@redhat.com> 0.9-2
- Update URL
- Change Group to Apps/System.
- Merge the base (renderer) and javadoc subpackages.
- Force use of bootchartd when it's installed, rather than only install
  it for the current kernel or mess with rpm triggers.
* Fri Dec 15 2006 John (J5) Palmieri <johnp@redhat.com> - 0.9-1
- Initial fedora package
